<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstVacateTypes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_vacate_types', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // 明け渡しコード(value)
            $table->text('name'); // 明け渡し名(name)
        });
        DB::statement("ALTER TABLE mst_vacate_types COMMENT 'マスタ：明け渡し'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_vacate_types');
    }
}
